Package com.sas.lsaf.core

## Enum EntityStatus

- java.lang.Object
- - java.lang.Enum<EntityStatus>
  - - com.sas.lsaf.core.EntityStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EntityStatus>`

      public enum EntityStatus
      extends java.lang.Enum<EntityStatus>

  The allowed values of entity statuses.
  Since:
    2.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHECKEDOUT` | The entity is checked out and only available to the user who has it checked out.
    `INPROGRESS` | The entity is in development and only available to those who have the appropriate privileges.
    `PUBLISHED` | The entity is available to all users.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EntityStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EntityStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLISHED

          public static final EntityStatus PUBLISHED

      The entity is available to all users.

    - #### INPROGRESS

          public static final EntityStatus INPROGRESS

      The entity is in development and only available to those who have the appropriate privileges.

    - #### CHECKEDOUT

          public static final EntityStatus CHECKEDOUT

      The entity is checked out and only available to the user who has it checked out.

  - ### Method Detail

    - #### values

          public static EntityStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityStatus c : EntityStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null